Transações
Liste transações
Consulte os pagamentos da empresa com filtros e paginação.
cURL
curl --fail-with-body --request GET \
'https://api.sinnu.com.br/api/transactions/' \
--header "Authorization: Bearer $SINNU_API_KEY"const apiKey = process.env.SINNU_API_KEY;
if (!apiKey) throw new Error("Configure SINNU_API_KEY no servidor.");
const response = await fetch("https://api.sinnu.com.br/api/transactions/", {
method: "GET",
headers: {
Authorization: `Bearer ${apiKey}`,
},
});
if (!response.ok) throw new Error(`HTTP ${response.status}: ${await response.text()}`);
console.log(response.status === 204 ? null : await response.json());{
"data": [
{
"id": "00000000-0000-4000-8000-000000000001",
"amount": 9900,
"net": 9700,
"productAmount": 9900,
"interestAmount": 0,
"interestMode": "absorb",
"mdrAmount": 150,
"fixedFeeAmount": 50,
"otherFeeAmount": 0,
"totalFeeAmount": 200,
"status": "approved",
"method": "pix",
"customer": {
"id": "00000000-0000-4000-8000-000000000002",
"name": "Cliente de exemplo",
"email": "cliente@example.com"
},
"description": "Consultoria inicial",
"installments": 1,
"createdAt": "2026-09-01T12:00:00.000Z",
"paidAt": "2026-09-01T12:00:00.000Z"
}
],
"total": 1,
"page": 1,
"pageSize": 20
}Os valores monetários dessa resposta são expressos em centavos. Uma aprovação aparece com
status: approved.Autorizações
Parâmetros de consulta
⌘I
cURL
curl --fail-with-body --request GET \
'https://api.sinnu.com.br/api/transactions/' \
--header "Authorization: Bearer $SINNU_API_KEY"const apiKey = process.env.SINNU_API_KEY;
if (!apiKey) throw new Error("Configure SINNU_API_KEY no servidor.");
const response = await fetch("https://api.sinnu.com.br/api/transactions/", {
method: "GET",
headers: {
Authorization: `Bearer ${apiKey}`,
},
});
if (!response.ok) throw new Error(`HTTP ${response.status}: ${await response.text()}`);
console.log(response.status === 204 ? null : await response.json());{
"data": [
{
"id": "00000000-0000-4000-8000-000000000001",
"amount": 9900,
"net": 9700,
"productAmount": 9900,
"interestAmount": 0,
"interestMode": "absorb",
"mdrAmount": 150,
"fixedFeeAmount": 50,
"otherFeeAmount": 0,
"totalFeeAmount": 200,
"status": "approved",
"method": "pix",
"customer": {
"id": "00000000-0000-4000-8000-000000000002",
"name": "Cliente de exemplo",
"email": "cliente@example.com"
},
"description": "Consultoria inicial",
"installments": 1,
"createdAt": "2026-09-01T12:00:00.000Z",
"paidAt": "2026-09-01T12:00:00.000Z"
}
],
"total": 1,
"page": 1,
"pageSize": 20
}